<?php
/**
* Posts navigation functions
*
* @package GridMini WordPress Theme
* @copyright Copyright (C) 2025 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

if ( ! function_exists( 'gridmini_wp_pagenavi' ) ) :
function gridmini_wp_pagenavi() {
    ?>
    <nav class="navigation posts-navigation gridmini-clearfix" role="navigation">
        <?php wp_pagenavi(); ?>
    </nav><!-- .navigation -->
    <?php
}
endif;

if ( ! function_exists( 'gridmini_posts_navigation' ) ) :
function gridmini_posts_navigation() {
    if ( !(gridmini_get_option('hide_posts_navigation')) ) {
        if ( function_exists( 'wp_pagenavi' ) ) {
            gridmini_wp_pagenavi();
        } else {
            if ( gridmini_get_option('posts_navigation_type') === 'normalnavi' ) {
                the_posts_navigation(array('prev_text' => esc_html__( 'Older posts', 'gridmini' ), 'next_text' => esc_html__( 'Newer posts', 'gridmini' )));
            } else {
                the_posts_pagination(array('mid_size' => 2, 'prev_text' => esc_html__( '&larr; Newer posts', 'gridmini' ), 'next_text' => esc_html__( 'Older posts &rarr;', 'gridmini' )));
            }
        }
    }
}
endif;

if ( ! function_exists( 'gridmini_post_navigation' ) ) :
function gridmini_post_navigation() {
    global $post;
    if ( !(gridmini_get_option('hide_post_navigation')) ) {
            the_post_navigation(array('prev_text' => esc_html__( '%title &rarr;', 'gridmini' ), 'next_text' => esc_html__( '&larr; %title', 'gridmini' )));
    }
}
endif;